## tracker-ontology tracker-ontology |

## Synopsis

    #define             TRACKER_RDF_PREFIX
    #define             TRACKER_RDFS_PREFIX
    #define             TRACKER_XSD_PREFIX
    #define             TRACKER_TRACKER_PREFIX
    #define             TRACKER_DC_PREFIX
    #define             TRACKER_MAEMO_PREFIX
    #define             TRACKER_NRL_PREFIX
    #define             TRACKER_NMO_PREFIX
    #define             TRACKER_NIE_PREFIX
    #define             TRACKER_NCO_PREFIX
    #define             TRACKER_NAO_PREFIX
    #define             TRACKER_NID3_PREFIX
    #define             TRACKER_NFO_PREFIX
    #define             TRACKER_NMM_PREFIX
    #define             TRACKER_DATASOURCE_URN_PREFIX
    #define             TRACKER_NON_REMOVABLE_MEDIA_DATASOURCE_URN
    void                tracker_ontology_init               (void);
    void                tracker_ontology_shutdown           (void);
    void                tracker_ontology_add_class          (TrackerClass *service);
    TrackerClass *      tracker_ontology_get_class_by_uri   (const gchar *service_uri);
    TrackerNamespace ** tracker_ontology_get_namespaces     (guint *length);
    TrackerClass **     tracker_ontology_get_classes        (guint *length);
    TrackerProperty **  tracker_ontology_get_properties     (guint *length);
    void                tracker_ontology_add_property       (TrackerProperty *field);
    TrackerProperty *   tracker_ontology_get_property_by_uri
                                                            (const gchar *uri);
    void                tracker_ontology_add_namespace      (TrackerNamespace *namespace_);
    TrackerNamespace *  tracker_ontology_get_namespace_by_uri
                                                            (const gchar *namespace_uri);

## Description

## Details

### TRACKER_RDF_PREFIX

    #define TRACKER_RDF_PREFIX	"http://www.w3.org/1999/02/22-rdf-syntax-ns#"

### TRACKER_RDFS_PREFIX

    #define TRACKER_RDFS_PREFIX	"http://www.w3.org/2000/01/rdf-schema#"

### TRACKER_XSD_PREFIX

    #define TRACKER_XSD_PREFIX      "http://www.w3.org/2001/XMLSchema#"

### TRACKER_TRACKER_PREFIX

    #define TRACKER_TRACKER_PREFIX	"http://www.tracker-project.org/ontologies/tracker#"

### TRACKER_DC_PREFIX

    #define TRACKER_DC_PREFIX	"http://purl.org/dc/elements/1.1/"

### TRACKER_MAEMO_PREFIX

    #define TRACKER_MAEMO_PREFIX	"http://maemo.org/ontologies/tracker#"

### TRACKER_NRL_PREFIX

    #define TRACKER_NRL_PREFIX	"http://www.semanticdesktop.org/ontologies/2007/08/15/nrl#"

### TRACKER_NMO_PREFIX

    #define TRACKER_NMO_PREFIX	"http://www.semanticdesktop.org/ontologies/2007/03/22/nmo#"

### TRACKER_NIE_PREFIX

    #define TRACKER_NIE_PREFIX	"http://www.semanticdesktop.org/ontologies/2007/01/19/nie#"

### TRACKER_NCO_PREFIX

    #define TRACKER_NCO_PREFIX	"http://www.semanticdesktop.org/ontologies/2007/03/22/nco#"

### TRACKER_NAO_PREFIX

    #define TRACKER_NAO_PREFIX	"http://www.semanticdesktop.org/ontologies/2007/08/15/nao#"

### TRACKER_NID3_PREFIX

    #define TRACKER_NID3_PREFIX	"http://www.semanticdesktop.org/ontologies/2007/05/10/nid3#"

### TRACKER_NFO_PREFIX

    #define TRACKER_NFO_PREFIX	"http://www.semanticdesktop.org/ontologies/2007/03/22/nfo#"

### TRACKER_NMM_PREFIX

    #define TRACKER_NMM_PREFIX	"http://www.tracker-project.org/temp/nmm#"

### TRACKER_DATASOURCE_URN_PREFIX

    #define             TRACKER_DATASOURCE_URN_PREFIX

### TRACKER_NON_REMOVABLE_MEDIA_DATASOURCE_URN

    #define             TRACKER_NON_REMOVABLE_MEDIA_DATASOURCE_URN

### tracker_ontology_init ()

    void                tracker_ontology_init               (void);

### tracker_ontology_shutdown ()

    void                tracker_ontology_shutdown           (void);

### tracker_ontology_add_class ()

    void                tracker_ontology_add_class          (TrackerClass *service);

`service` : |

### tracker_ontology_get_class_by_uri ()

    TrackerClass *      tracker_ontology_get_class_by_uri   (const gchar *service_uri);

`service_uri` : |
Returns : |

### tracker_ontology_get_namespaces ()

    TrackerNamespace ** tracker_ontology_get_namespaces     (guint *length);

`length` : |
Returns : |

### tracker_ontology_get_classes ()

    TrackerClass **     tracker_ontology_get_classes        (guint *length);

`length` : |
Returns : |

### tracker_ontology_get_properties ()

    TrackerProperty **  tracker_ontology_get_properties     (guint *length);

`length` : |
Returns : |

### tracker_ontology_add_property ()

    void                tracker_ontology_add_property       (TrackerProperty *field);

`field` : |

### tracker_ontology_get_property_by_uri ()

    TrackerProperty *   tracker_ontology_get_property_by_uri
                                                            (const gchar *uri);

`uri` : |
Returns : |

### tracker_ontology_add_namespace ()

    void                tracker_ontology_add_namespace      (TrackerNamespace *namespace_);

`namespace_` : |

### tracker_ontology_get_namespace_by_uri ()

    TrackerNamespace *  tracker_ontology_get_namespace_by_uri
                                                            (const gchar *namespace_uri);

`namespace_uri` : |
Returns : |